import request from "@/api";

// 获取表头数据
export function getOutPage(data: any) {
  return request({
    url: `/admin/out/page`,
    method: "get",
    params: data
  });
}

// 添加数据
export function addOutData(data: any) {
  return request({
    url: `/admin/out`,
    method: "post",
    data
  });
}

// 修改数据
export function updateOutData(data: any) {
  return request({
    url: `/admin/out`,
    method: "put",
    data
  });
}
// 删除数据
export function deleteOutData(id: string) {
  return request({
    url: `/admin/out/${id}`,
    method: "delete"
  });
}
// 查看数据
export function lookOutData(id: string) {
  return request({
    url: `/admin/out/outdound/${id}`,
    method: "get"
  });
}

// 物资类别
export function dictTree(data: any) {
  return request({
    url: `/admin/sys/dict/tree/1`,
    method: "get",
    params: data
  });
}

// 物资类别
export function getDeptTypeList() {
  return request({
    url: `/admin/dept/getDeptTypeList/3`,
    method: "get"
  });
}
